## portmap 3

=== Makefile ===
# @(#) Makefile 1.4 93/11/21 17:36:53

####################################
### Beginning of configurable stuff.

# By default, logfile entries are written to the same file as used for
# sendmail transaction logs. Change the definition of the following macro
# if you disagree. See `man 3 syslog' for examples. Some syslog versions
# do not provide this flexibility.
#
FACILITY=LOG_MAIL

# To disable host access control, comment out the following macro definition.
# Note: host access control requires the strtok() and strchr() routines.
# Host access control can also be turned off by providing no access control
# tables. The local system, since it runs the portmap daemon, is always
# treated as an authorized host.

HOSTS_ACCESS= -DHOSTS_ACCESS

# Comment out if your RPC library does not allocate privileged ports for
# requests from processes with root privilege, or the new portmap will
# always reject requests to register/unregister services on privileged
# ports. You can find out by running "rpcinfo -p"; if all mountd and NIS
# daemons use a port >= 1024 you should probably disable the next line.

CHECK_PORT = -DCHECK_PORT

# When the portmapper cannot find any local interfaces (it will complain
# to the syslog daemon) your system probably has variable-length socket
# address structures (struct sockaddr has a sa_len component; example:
# 4.4BSD). Uncomment next macro definition in that case.
#
# SA_LEN = -DHAS_SA_LEN

# With verbose logging on, HP-UX 9.x leaves zombies behind when SIGCHLD
# is not ignored. Enable next macro for a fix.
#
ZOMBIES = -DIGNORE_SIGCHLD

# Uncomment the following macro if your system does not have u_long.
#
# ULONG	=-Du_long="unsigned long"

# Later versions of the tcp wrapper (log_tcp package) come with a
# libwrap.a object library. WRAP_DIR should specify the directory with
# that library.

WRAP_DIR= .

# Auxiliary object files that may be missing from your C library.
#
AUX	= daemon.o # strerror.o

# Uncomment the following macro definitions if you are running SYSV.4.
# This won't help much because SYSV.4 uses rpcbind instead of portmap.
#
# CC	= /usr/ucb/cc
# LIBS	= -lrpcsoc
# SYS	= -DSYSV40

# Auxiliary libraries that you may have to specify
#

LIBS	= -lbsd # -lrpc

LINUX = -D_USE_BSD -D_USE_BSD_SIGNAL

### End of configurable stuff.
##############################

SHELL	= /bin/sh

COPT	= $(HOSTS_ACCESS) $(CHECK_PORT) \
	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) $(LINUX)

CFLAGS	= $(COPT) -O
OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)

all:	portmap pmap_dump pmap_set

portmap: $(OBJECTS) $(WRAP_DIR)/libwrap.a
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_DIR)/libwrap.a $(LIBS)

pmap_dump: pmap_dump.c
	$(CC) $(CFLAGS) -o $@ $? $(LIBS)

pmap_set: pmap_set.c
	$(CC) $(CFLAGS) -o $@ $? $(LIBS)

from_local: from_local.c
	cc $(CFLAGS) -DTEST -o $@ from_local.c

lint:	
	lint $(COPT) $(OBJECTS:%.o=%.c)

clean:
	rm -f *.o portmap pmap_dump pmap_set from_local core

shar:
	@shar README Makefile portmap.c daemon.c strerror.c diffs_wrt_bsd \
	pmap_dump.c pmap_set.c from_local.c pmap_check.c pmap_check.h BLURB

diffs_wrt_bsd: portmap.c.bsd portmap.c daemon.c.bsd daemon.c
	-(diff -c portmap.c.bsd portmap.c; diff -c daemon.c.bsd daemon.c) >$@

deps:
	@$(CC) -M $(CFLAGS) *.c | grep -v /usr/include |sed 's/\.\///'

daemon.o: daemon.c
from_local.o: from_local.c
pmap_check.o: pmap_check.c pmap_check.h Makefile
pmap_dump.o: pmap_dump.c
pmap_set.o: pmap_set.c
portmap.o: portmap.c
portmap.o: pmap_check.h
strerror.o: strerror.c

## portmap 4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# @(#) Makefile 1.4 93/11/21 17:36:53
+# @(#) Makefile 1.5 96/05/31 15:50:40
 
 ####################################
 ### Beginning of configurable stuff.
@@ -28,15 +28,15 @@
 
 # When the portmapper cannot find any local interfaces (it will complain
 # to the syslog daemon) your system probably has variable-length socket
-# address structures (struct sockaddr has a sa_len component; example:
-# 4.4BSD). Uncomment next macro definition in that case.
+# address structures (struct sockaddr has a sa_len component; examples:
+# AIX 4.1 and 4.4BSD). Uncomment next macro definition in that case.
 #
-# SA_LEN = -DHAS_SA_LEN
+# SA_LEN = -DHAS_SA_LEN		# AIX 4.x, BSD 4.4
 
-# With verbose logging on, HP-UX 9.x leaves zombies behind when SIGCHLD
-# is not ignored. Enable next macro for a fix.
+# With verbose logging on, HP-UX 9.x and AIX 4.1 leave zombies behind when
+# SIGCHLD is not ignored. Enable next macro for a fix.
 #
-ZOMBIES = -DIGNORE_SIGCHLD
+# ZOMBIES = -DIGNORE_SIGCHLD	# AIX 4.x, HP-UX 9.x
 
 # Uncomment the following macro if your system does not have u_long.
 #
@@ -46,35 +46,30 @@
 # libwrap.a object library. WRAP_DIR should specify the directory with
 # that library.
 
-WRAP_DIR= .
+WRAP_DIR= ../tcp_wrappers
 
 # Auxiliary object files that may be missing from your C library.
 #
-AUX	= daemon.o # strerror.o
+AUX	= daemon.o strerror.o
 
-# Uncomment the following macro definitions if you are running SYSV.4.
-# This won't help much because SYSV.4 uses rpcbind instead of portmap.
+# NEXTSTEP is a little different. The following seems to work with NS 3.2
 #
-# CC	= /usr/ucb/cc
-# LIBS	= -lrpcsoc
-# SYS	= -DSYSV40
+# SETPGRP	=-DUSE_SETPGRP00
+# LIBS	= -m
+# NSARCHS	= -arch m68k -arch i386 -arch hppa
 
 # Auxiliary libraries that you may have to specify
 #
-
-LIBS	= -lbsd # -lrpc
-
-LINUX = -D_USE_BSD -D_USE_BSD_SIGNAL
+# LIBS	= -lrpc
 
 ### End of configurable stuff.
 ##############################
 
 SHELL	= /bin/sh
 
-COPT	= $(HOSTS_ACCESS) $(CHECK_PORT) \
-	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) $(LINUX)
-
-CFLAGS	= $(COPT) -O
+COPT	= -Dconst= -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
+	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN)
+CFLAGS	= $(COPT) -O $(NSARCHS) $(SETPGRP)
 OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)
 
 all:	portmap pmap_dump pmap_set
@@ -97,12 +92,8 @@
 clean:
 	rm -f *.o portmap pmap_dump pmap_set from_local core
 
-shar:
-	@shar README Makefile portmap.c daemon.c strerror.c diffs_wrt_bsd \
-	pmap_dump.c pmap_set.c from_local.c pmap_check.c pmap_check.h BLURB
-
-diffs_wrt_bsd: portmap.c.bsd portmap.c daemon.c.bsd daemon.c
-	-(diff -c portmap.c.bsd portmap.c; diff -c daemon.c.bsd daemon.c) >$@
+tidy:	clean
+	chmod 755 . ; chmod -R a+r .
 
 deps:
 	@$(CC) -M $(CFLAGS) *.c | grep -v /usr/include |sed 's/\.\///'

## portmap 5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# @(#) Makefile 1.5 96/05/31 15:50:40
+# @(#) Makefile 1.6 96/07/06 23:06:17
 
 ####################################
 ### Beginning of configurable stuff.
@@ -10,13 +10,13 @@
 #
 FACILITY=LOG_MAIL
 
-# To disable host access control, comment out the following macro definition.
-# Note: host access control requires the strtok() and strchr() routines.
-# Host access control can also be turned off by providing no access control
-# tables. The local system, since it runs the portmap daemon, is always
-# treated as an authorized host.
+# To disable tcp-wrapper style access control, comment out the following
+# macro definitions.  Access control can also be turned off by providing
+# no access control tables. The local system, since it runs the portmap
+# daemon, is always treated as an authorized host.
 
 HOSTS_ACCESS= -DHOSTS_ACCESS
+WRAP_LIB = $(WRAP_DIR)/libwrap.a
 
 # Comment out if your RPC library does not allocate privileged ports for
 # requests from processes with root privilege, or the new portmap will
@@ -26,12 +26,47 @@
 
 CHECK_PORT = -DCHECK_PORT
 
+# Warning: troublesome feature ahead!! Enable only when you are really
+# desperate!!
+#
+# It is possible to prevent an attacker from manipulating your portmapper
+# tables from outside with requests that contain spoofed source addresses.
+# The countermeasure is to force all rpc servers to register and
+# unregister with the portmapper via the loopback network interface,
+# instead of via the primary network interface that every host can talk
+# to. For this countermeasure to work it is necessary to uncomment the
+# LOOPBACK definition below, and to take the following additional steps:
+# 
+# (1) Modify the libc library (or librpc if you have one) and replace
+# get_myaddress() by a version that selects the loopback address instead
+# of the primary network interface address. A suitable version is
+# provided in the file get_myaddress.c. This forces rpc servers to send
+# all set/unset requests to the loopback address.
+# 
+# (2) Rebuild all statically-linked rpc servers with the modified
+# library.
+# 
+# (3) Disable IP source routing in the kernel (otherwise an outside
+# attacker can still send requests that appear to come from the local
+# machine).
+# 
+# Instead of (1) it may be sufficient to run the rpc servers with a
+# preload shared object that implements the alternate get_myaddress()
+# behavior (see Makefile.shlib). You still need to disable IP source
+# routing, though.
+#
+# I warned you, you need to be really desperate to do this. It is
+# probably much easier to just block port UDP and TCP ports 111 on
+# your routers.
+#
+# LOOPBACK = -DLOOPBACK_SETUNSET
+
 # When the portmapper cannot find any local interfaces (it will complain
 # to the syslog daemon) your system probably has variable-length socket
 # address structures (struct sockaddr has a sa_len component; examples:
 # AIX 4.1 and 4.4BSD). Uncomment next macro definition in that case.
 #
-# SA_LEN = -DHAS_SA_LEN		# AIX 4.x, BSD 4.4
+# SA_LEN = -DHAS_SA_LEN		# AIX 4.x, BSD 4.4, FreeBSD, NetBSD
 
 # With verbose logging on, HP-UX 9.x and AIX 4.1 leave zombies behind when
 # SIGCHLD is not ignored. Enable next macro for a fix.
@@ -62,20 +97,25 @@
 #
 # LIBS	= -lrpc
 
+# Comment out if your compiler talks ANSI and understands const
+#
+CONST   = -Dconst=
+
 ### End of configurable stuff.
 ##############################
 
 SHELL	= /bin/sh
 
-COPT	= -Dconst= -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
-	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN)
-CFLAGS	= $(COPT) -O $(NSARCHS) $(SETPGRP)
+COPT	= $(CONST) -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
+	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) \
+	$(LOOPBACK) $(SETPGRP)
+CFLAGS	= $(COPT) -O $(NSARCHS)
 OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)
 
 all:	portmap pmap_dump pmap_set
 
 portmap: $(OBJECTS) $(WRAP_DIR)/libwrap.a
-	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_DIR)/libwrap.a $(LIBS)
+	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_LIB) $(LIBS)
 
 pmap_dump: pmap_dump.c
 	$(CC) $(CFLAGS) -o $@ $? $(LIBS)
@@ -86,11 +126,15 @@
 from_local: from_local.c
 	cc $(CFLAGS) -DTEST -o $@ from_local.c
 
+get_myaddress: get_myaddress.c
+	cc $(CFLAGS) -DTEST -o $@ get_myaddress.c $(LIBS)
+
 lint:	
 	lint $(COPT) $(OBJECTS:%.o=%.c)
 
 clean:
-	rm -f *.o portmap pmap_dump pmap_set from_local core
+	rm -f *.o portmap pmap_dump pmap_set from_local get_myaddress \
+	    get_myaddress.so core
 
 tidy:	clean
 	chmod 755 . ; chmod -R a+r .
@@ -100,9 +144,11 @@
 
 daemon.o: daemon.c
 from_local.o: from_local.c
-pmap_check.o: pmap_check.c pmap_check.h Makefile
+get_myaddress.o: get_myaddress.c
+pmap_check.o: pmap_check.c
+pmap_check.o: pmap_check.h Makefile
 pmap_dump.o: pmap_dump.c
 pmap_set.o: pmap_set.c
 portmap.o: portmap.c
-portmap.o: pmap_check.h
+portmap.o: pmap_check.h Makefile
 strerror.o: strerror.c

## portmap 5-26.0maemo2

=== Makefile ===
--- 
+++ 
@@ -8,15 +8,16 @@
 # if you disagree. See `man 3 syslog' for examples. Some syslog versions
 # do not provide this flexibility.
 #
-FACILITY=LOG_MAIL
+FACILITY=LOG_DAEMON
 
 # To disable tcp-wrapper style access control, comment out the following
 # macro definitions.  Access control can also be turned off by providing
 # no access control tables. The local system, since it runs the portmap
 # daemon, is always treated as an authorized host.
 
-HOSTS_ACCESS= -DHOSTS_ACCESS
-WRAP_LIB = $(WRAP_DIR)/libwrap.a
+#HOSTS_ACCESS= -DHOSTS_ACCESS
+#WRAP_LIB = $(WRAP_DIR)/libwrap.a
+#WRAP_LIB = -lwrap
 
 # Comment out if your RPC library does not allocate privileged ports for
 # requests from processes with root privilege, or the new portmap will
@@ -71,7 +72,12 @@
 # With verbose logging on, HP-UX 9.x and AIX 4.1 leave zombies behind when
 # SIGCHLD is not ignored. Enable next macro for a fix.
 #
-# ZOMBIES = -DIGNORE_SIGCHLD	# AIX 4.x, HP-UX 9.x
+ZOMBIES = -DIGNORE_SIGCHLD	# AIX 4.x, HP-UX 9.x
+
+# Under heavy I/O, sometimes portmap dies w/ SIGPIPE.  Enable next macro to
+# fix.
+#
+BROKEN_PIPE = -DIGNORE_SIGPIPE
 
 # Uncomment the following macro if your system does not have u_long.
 #
@@ -81,11 +87,14 @@
 # libwrap.a object library. WRAP_DIR should specify the directory with
 # that library.
 
-WRAP_DIR= ../tcp_wrappers
+WRAP_DIR= $(TCPD_DIR)
 
 # Auxiliary object files that may be missing from your C library.
 #
-AUX	= daemon.o strerror.o
+#AUX	= daemon.o strerror.o
+
+# glibc has strerror() (it's POSIX) and daemon() (when compiling -D_BSD_SOURCE)
+AUX	= 
 
 # NEXTSTEP is a little different. The following seems to work with NS 3.2
 #
@@ -99,22 +108,31 @@
 
 # Comment out if your compiler talks ANSI and understands const
 #
-CONST   = -Dconst=
+#CONST   = -Dconst=
 
 ### End of configurable stuff.
 ##############################
 
+GLIBC=$(shell grep -s -c __GLIBC__ /usr/include/features.h)
+
+ifeq ($(GLIBC),0)
+LIBS   += # -lbsd
+else
+LIBS   += -lnsl
+endif
+
+
 SHELL	= /bin/sh
 
-COPT	= $(CONST) -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
-	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) \
-	$(LOOPBACK) $(SETPGRP)
-CFLAGS	= $(COPT) -O $(NSARCHS)
+COPT	= $(CONST) $(HOSTS_ACCESS) $(CHECK_PORT) \
+	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(BROKEN_PIPE) \
+	$(SA_LEN) $(LOOPBACK) $(SETPGRP)
+CFLAGS	= -Wall $(COPT) -O2 $(NSARCHS)
 OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)
 
 all:	portmap pmap_dump pmap_set
 
-portmap: $(OBJECTS) $(WRAP_DIR)/libwrap.a
+portmap: $(OBJECTS) # $(WRAP_DIR)/libwrap.a
 	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_LIB) $(LIBS)
 
 pmap_dump: pmap_dump.c
@@ -128,6 +146,17 @@
 
 get_myaddress: get_myaddress.c
 	cc $(CFLAGS) -DTEST -o $@ get_myaddress.c $(LIBS)
+
+install: all
+	install -o root -g root -m 0755 -s portmap ${BASEDIR}/sbin
+	install -o root -g root -m 0755 -s pmap_dump ${BASEDIR}/sbin
+	install -o root -g root -m 0755 -s pmap_set ${BASEDIR}/sbin
+	install -o root -g root -m 0644 portmap.8 ${BASEDIR}/usr/share/man/man8
+	install -o root -g root -m 0644 pmap_dump.8 ${BASEDIR}/usr/share/man/man8
+	install -o root -g root -m 0644 pmap_set.8 ${BASEDIR}/usr/share/man/man8
+	cat BLURB >${BASEDIR}/usr/share/doc/portmap/portmapper.txt
+	gzip -9f ${BASEDIR}/usr/share/doc/portmap/portmapper.txt
+
 
 lint:	
 	lint $(COPT) $(OBJECTS:%.o=%.c)

=== debian/changelog ===
portmap (5-26.0maemo2) unstable; urgency=low

  * Small fix on the init.d script that prevents portmap to start on fremantle 

 -- Walter <walter.guerra@signove.com>  Thu,  4 Jun 2009 08:49:43 -0400

portmap (5-26.0maemo1) unstable; urgency=low

  * Do not use libwrap.
  * Fixes: NB#73591

 -- Maemo Integration <integration@maemo.org>  Tue,  9 Oct 2007 16:36:30 +0300

portmap (5-26) unstable; urgency=low

  * Really fix the encoding issues in the Spanish debconf translation
    (there was still one char in latin1)
  [ New translations ]
  * Basque po-debconf translation, provided by Piarres Beobide 
  (Closes: #404178)
  * Portuguese translation, provided by Miguel Figueiredo (Closes: #404552)
  * Galician translation, provided by Jacobo Tarrio (Closes: #405401)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 11 Feb 2007 17:31:24 +0100

portmap (5-25) unstable; urgency=low

  * Fixed encoding in Spanish manpage, thanks to Christian Perrier for
    spotting this and providing a patch (Closes: #404166)
  [ Translation updates ]
  * Spanish po-debconf review by Javier Fernandez-Sanguino.
  * Brazilian Portuguese update by André Luís Lopes (Closes: #403826)
  * Swedish updated by Daniel Nylander.
  * Vietnamese updated by Clytie Siddall.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 22 Dec 2006 09:16:14 +0100

portmap (5-24) unstable; urgency=medium

  * Fixed "subprocess post-installation script returned error exit
    status 1". Closes: #402220.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Dec 2006 11:50:26 +1100

portmap (5-23) unstable; urgency=low

  * Adapt patch from Ubuntu to prevent rpcinfo from being executed if
    portmap is not running for some reason. This prevents this script
    from stalling in some installations (was reported at Ubuntu
    Malone bug #61668: Building LTSP chroot stops during portmap installation)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  7 Dec 2006 11:21:20 +0100

portmap (5-22) unstable; urgency=low

  * Add German debconf translation provided by Mathias Klein (Closes: #397043)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  7 Dec 2006 10:19:30 +0100

portmap (5-21) unstable; urgency=low

  * Add a note in the manpage related to the use of IP addresses in
    /etc/hosts.{allow,deny} when protecting portmapper. (Closes: #361019)
  * Updated translations:
    - Spanish translation update provided by Javier Fernandez-Sanguino 
      (Closes: #382962)
    - Japanese translation update provided by Kenshi Muto (Closes: #379933)
  [ debian/postinst ]
  * Modify postinst so it does not run 'rpcinfo -p' for new installs of the
    package as suggested by Joey Hess, this solves a problem with new d-i
    installations since rpcinfo stalls when the package is being installed, a
    static IP address has been assigned, 'lo' is down and portmap tries
    to list the RPC services available. (Closes: #383941)
  [ debian/rules ]
  * Re-add the 'start' sentences in runlevels 2-5 (revert the change
    introduced in -17 and reopens #340158, #334758). This is needed because if
    someone goes to runlevel 1 (stops portmapper and NFS) and then back to
    runlevel 2 portmapper would not start and NFS would fail. 
  [ debian/init.d ]
  * Reorder the "Starting portmap" message so it is presented before we say
    "Already running"

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 11 Oct 2006 12:12:10 +0200

portmap (5-20) unstable; urgency=low

  * Resynchronise with Ubuntu.
  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Dutch Debconf templates translation, closes: #367961.
    Patch by Vincent Zweije <zweije@xs4all.nl>.
  * Russian debconf templates translation, closes: #374007.
    Patch by Alexander Bouksha <abook@purpe.ru>.
  * Fixed "typo in postinst script", closes: #357248.
  * Fixed "unused function in postinst", closes: #376120.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Jul 2006 20:23:16 +1000

portmap (5-19ubuntu2) edgy; urgency=low

  * Source debconf confmodule at top of postinst.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Jun 2006 18:39:11 +0100

portmap (5-19ubuntu1) edgy; urgency=low

  * Sync with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Jun 2006 13:18:57 +0200

portmap (5-19) unstable; urgency=low

  * Remove duplicate LSB info and fix the stop argument in runlevel 1
    (Closes: #361053)
  * Translation updates:
    - Dutch, provided by Vincent Zweije (Closes: #356278)
    - Danish, provided by Claus Hindsgaul (Closes: #357425)
    - Italian, provided by Luca Monducci (Closes: #357583)
    - Czech, provided by Miroslav Kure (Closes: #360314)
    - French, provided by Jean-Christophe Champarnaud (Closes: #360629)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 25 Apr 2006 00:55:41 +0200

portmap (5-18) unstable; urgency=low

  * Use the LSB init.d script provided by Ubuntu
  * Rephrase the template to make it clear that only those *not* providing RPC
    services to the network should bind only to loopback (#316607)
  * Included patch provided by Gerrit Pape which adds an '-f' option to make
    it work in foreground mode (Closes: #351625)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 25 Feb 2006 23:13:07 +0100

portmap (5-17) unstable; urgency=low

  * Fixed "Portmap dies w/ SIGPIPE during heavy I/O", closes: #342709.
    Patch by Michael S. Peek <peek@tiem.utk.edu>.
  * Fixed "init script needlessly executed twice (and it informs the
    user about it too)", closes: #340158, #334758. Patch by Joey Hess
    <joeyh@debian.org>.
  * Added Swedish debconf translation, closes: #333125. Patch by
    Daniel Nylander <yeager@lidkoping.net>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Jan 2006 08:59:01 +1100

portmap (5-16ubuntu2) dapper; urgency=low

  * Actually exit 0 if the portmap is already running.  Malone #6717



=== debian/control ===
Source: portmap
Section: net
Priority: standard
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5)

Package: portmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 1.3-9)
Replaces: netbase (<< 4.00)
Description: The RPC portmapper
 Portmap is a server that converts RPC (Remote Procedure Call) program
 numbers into DARPA protocol port numbers.  It must be running in order
 to make RPC calls.
 .
 Services that use RPC include NFS and NIS.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (C) 2004-2005 by Anibal Monsalve Salazar <anibal@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=5

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install BASEDIR=`pwd`/debian/portmap

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installinit -- start 43 S . start 32 0 6 . start 18 2 3 4 5 . stop 81 1 .
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## portmap 6.0-9ubuntu1

=== debian/changelog ===
portmap (6.0-9ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #313263)
    - debian/control: Add Depend on lsb >= 3.2-14, which has the
      status_of_proc() function.
    - debian/init.d: Add the 'status' action.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 02 Jan 2009 11:05:15 -0600

portmap (6.0-9) unstable; urgency=medium

  * In both init.d and postinst, replace "pidofproc portmap" with
    "pidofproc -p /var/run/portmap.pid /sbin/portmap";
    closes: #448470, #506429

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 26 Nov 2008 20:14:15 +1100

portmap (6.0-8ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #301009)
    - debian/control: Add Depend on lsb >= 3.2-14, which has the
      status_of_proc() function.
    - debian/init.d: Add the 'status' action.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 22 Nov 2008 20:10:12 +0530

portmap (6.0-8) unstable; urgency=high

  * Fix the fix for #448470; patch by Juan Cespedes; closes: #506207, #504305
  * Replace pidof with pidofproc in postinst; closes: #504867, #490985

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Nov 2008 10:01:57 +1100

portmap (6.0-7) unstable; urgency=high

  [ Yves-Alexis Perez ]
  * urgency=high for RC bug closing.
  * debian/init.d: use pidofproc to check portmap pid, so it check if portmap
    is running by looking in /var/run/portmap.pid instead of running
    processes. Finally closes: #448470

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 27 Oct 2008 10:21:24 +1100

portmap (6.0-6ubuntu1) intrepid; urgency=low

  * debian/control: Add Depend on lsb >= 3.2-14, which has the
    status_of_proc() function.
  * debian/init.d: Add the 'status' action (LP: #254499).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sun, 03 Aug 2008 15:05:23 -0500

portmap (6.0-6) unstable; urgency=low

  * Acknowledge NMU; closes: #482740
  * Conflicts with sysv-rc (< 2.86.ds1-59); refer to #483172;
    closes: #483102
  * Patch 04-460156-no-pie.diff: Don't use -pie; closes: #460156
  * Set OPTIONS correctly; closes: #420170
  * Don't execute init script twice at boot; closes: #437912
  * New uploader
  * Standards version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 Jun 2008 18:19:45 +1000

portmap (6.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid useless 1 second sleep during boot, while still doing
    it when needed during restarts (Closes: #412636).  Patch
    from Petter Reinholdtsen.
  * New patch 02-448470-pidfile.diff to write pid to
    /var/run/portmap.pid (Closes: #448470).  Patch
    from Petter Reinholdtsen.
  * New patch 03-356784-lotsofinterfaces.diff to handle more
    than 256 network interfaces (Closes: #356784).  Patch
    from Steven Wilton.
  * Updated upstream URL and name in copyright file (Closes: #454208).
  * Change init.d script to use the omitpid feature in sendsigs to
    allow it to stop later during shutdown (Closes: #468665).  Patch
    from Petter Reinholdtsen.
  * Fix bashism in postinst script (Closes: #472236).  Patch
    from Raphael Geissert.
  * Updated Dutch debconf translation from Vincent Zweije (Closes: #463798).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 May 2008 17:28:21 +0200

portmap (6.0-5) unstable; urgency=medium

  [ Anibal Monsalve Salazar ]

  * Build-Depends on quilt
  * Bumped up Standards-Version to 3.7.3
  * Moved homepage from description to control header line
  * Fixed "init script needlessly executed twice". Closes: #340158
    Patch by Joey Hess <joeyh@debian.org>
  * Fixed typo in portmap.8. Closes: #437892
    Patch by A. Costa <agcosta@gis.net>
  * Fixed init.d dependency loop with $named. Closes: #459430
    Patch by Petter Reinholdtsen <pere@hungry.com>

  [ Christian Perrier ]

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.
    Closes: #442329, #420514
  * Debconf translation updates
    - Basque. Closes: #443154
    - Swedish. Closes: #443162
    - Japanese. Closes: #443175
    - Portuguese. Closes: #443220
    - Bulgarian. Closes: #443228
    - Spanish. Closes: #443229
    - Vietnamese. Closes: #443273
    - Italian. Closes: #443496
    - Finnish. Closes: #443620
    - Czech. Closes: #443663
    - German. Closes: #443698
    - Tamil. Closes: #444282
    - French. Closes: #444745
    - Galician. Closes: #444759
    - Russian. Closes: #445009
    - Brazilian Portuguese. Closes: #445274

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Jan 2008 19:34:52 +1100

portmap (6.0-4) unstable; urgency=low

  * Portmap now build-depends on libwrap0-dev. Closes: #436309.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Aug 2007 08:33:22 +1000

portmap (6.0-3) unstable; urgency=low

  * Enabled "-pie" link option. Closes: #427997.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 15 Jul 2007 08:46:00 +1000

portmap (6.0-2) unstable; urgency=low

  * Fixed typo in debian/rules. Closes: #423499.
  * Fixed the following lintian messages:
    - W: portmap source: debian-rules-ignores-make-clean-error line 24
    - W: portmap: manpage-has-errors-from-man usr/share/man/man8/portmap.8.gz
         Empty input line #156
    - W: portmap: init.d-script-missing-lsb-keyword /etc/init.d/portmap
         short-description

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 04 Jul 2007 08:53:23 +1000

portmap (6.0-1) unstable; urgency=low

  * Build portmap without the "-pie" option. Closes: #424029.
  * Fixed typo in portmap.8 manpage. Closes: #418482.
  * Fixed "Fails to find local interfaces on Debian/kFreeBSD".
    Closes: #423499.
  * Fixed the following lintian message:
    - W: portmap source: debian-rules-sets-DH_COMPAT

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jun 2007 18:09:42 +1000

portmap (6.0-0) unstable; urgency=low

  * New upstream release.
  * debian/watch: added.


=== debian/control ===
Source: portmap
Section: net
Priority: standard
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends: libwrap0-dev, debhelper (>= 5), quilt
Standards-Version: 3.8.0
Homepage: http://neil.brown.name/portmap/

Package: portmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Replaces: netbase (<< 4.00)
Conflicts: sysv-rc (< 2.86.ds1-59) 
Description: RPC port mapper
 Portmap is a server that converts RPC (Remote Procedure Call) program
 numbers into DARPA protocol port numbers. It must be running in order
 to make RPC calls.
 .
 Services that use RPC include NFS and NIS.

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,30 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-# Copyright (C) 2004-2005 by Anibal Monsalve Salazar <anibal@debian.org>
+# Copyright (C) 2004-2007 by Anibal Monsalve Salazar <anibal@debian.org>
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-build: build-stamp
+include /usr/share/quilt/quilt.make
+
+build: patch build-stamp
 build-stamp:
 	dh_testdir
+ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
+	CPPFLAGS=-DHAS_SA_LEN $(MAKE)
+else
 	$(MAKE)
+endif
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
+	rm -f .depend
 	dh_clean build-stamp
 
 install: build
@@ -39,7 +45,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
-	dh_installinit -- start 43 S . start 32 0 6 . start 18 2 3 4 5 . stop 81 1 .
+	dh_installinit -- start 43 S . start 32 0 6 . stop 81 1 .
 	dh_installcron
 	dh_installman
 	dh_installinfo

=== debian/watch ===
version=3
http://neil.brown.name/portmap/ portmap-(.*).tgz
